Package Details: cproton-git 0.2.1.r8.gc1cc322-1

Git Clone URL: https://aur.archlinux.org/cproton-git.git (read-only, click to copy)
Package Base: cproton-git
Description: Script to make it easier to update Proton GE to the latest version
Upstream URL: https://github.com/flubberding/ProtonUpdater
Keywords: gloriouseggroll proton
Licenses: MIT
Submitter: mser
Maintainer: mser
Last Packager: mser
Votes: 4
Popularity: 0.95
First Submitted: 2019-12-25 22:30
Last Updated: 2021-05-28 16:38

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

mser commented on 2021-05-28 16:39

I've now removed the patch that ignores the sha512sum file since the PR that fixes this has been merged upstream.

CAROLVS commented on 2021-04-14 12:34

Thank you. I put in a pull request at upstream that also verifies the sha512.

mser commented on 2021-04-13 15:22

@CAROLVS: I've added the patch. I've made it so that if upstream gets updated after all and applying the patch fails it won't cause the build to error (so the PKGBUILD will keep working without me having to manually update it).

mser commented on 2021-04-13 11:10

@CAROLVS:

Why would it be temporary only? Each release only has 1 archive.

I was speaking about the PR solution, not yours. The author himself writes:

It will also fail if the order of the JSON objects in the response for releases/latest changes.

That's because there are two browser_download_url properties (one per asset). So if the order of the assets changed (in a way that the archive isn't the second asset anymore), his solution would fail.

But your proposed solution makes sure to grab the archive, so that's fine.

CAROLVS commented on 2021-04-13 10:49

Okay, thanks. The solution i provided works with all past version though. Why would it be temporary only? Each release only has 1 archive.

mser commented on 2021-04-13 08:16

@CAROLVS: You’ll have to ask upstream on GitHub. It’s not my script, I only made it available in the AUR.

I saw there’s already a PR for it: https://github.com/flubberding/ProtonUpdater/pull/7

Granted, I could patch it here too if the script author doesn’t merge the PR. Also, that PR seems like a temporary solution at best. I’ll take a closer look at this in the evening.

CAROLVS commented on 2021-04-13 07:50

GloriousEggroll added a sha512sum file to the releases. Your script tries to download that file instead of downloading the actual archive. Mind fixing it? You would need to change line 89 of the script to search for "browser_download_url.*.tar.gz"

yochananmarqos commented on 2020-01-06 01:29

@mserajnik: When important changes are made to the PKGBUILD the pkgrel should be incremented. However, if there were new commits since the last modification, there is no need as the pkgver will update to the latest commit and pkgrel will be reset to 1 when running makepkg.

mser commented on 2019-12-26 00:36

@yochananmarqos: Thank you for the suggestion, I updated the package() function.

I was unsure whether to increase the pkgrel in this case. The wiki article (https://wiki.archlinux.org/index.php/PKGBUILD#pkgrel) states:

As fixes and additional features are added to the PKGBUILD that influence the resulting package, the pkgrel should be incremented by 1.

Since this change did not influence the resulting package, I left the pkgrel at 1. But maybe it should've been increased regardless?

yochananmarqos commented on 2019-12-25 23:14

You can install the binary with one line instead of three:

package() {
  cd "$srcdir/${pkgname%-git}"
  install -Dm755 "${pkgname%-git}.sh" "$pkgdir/usr/bin/${pkgname%-git}"
}